Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160790 - dhcpd does not start
Summary: dhcpd does not start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 10:03 UTC by Daniel Hammer
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-02 19:48:57 UTC


Attachments (Terms of Use)

Description Daniel Hammer 2005-06-17 10:03:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After updating selinux-policy-targeted to 1.17.30-3.9 in FC3 problems reported in Bug 160567 disappear but this time dhcpd does not start.

Version-Release number of selected component (if applicable):
selinux-policy-targeted 1.17.30-3.9

How reproducible:
Always

Steps to Reproduce:
1. install selinux-policy-targeted 1.17.30-3.9
2. reboot
3. get avc messages when system tries to start dhcpd at boot
  

Actual Results:  dhcpd does not start

Expected Results:  dhcpd should start correctly

Additional info:

Comment 1 Nerijus Baliūnas 2005-06-17 14:59:44 UTC
Message is:
audit(1119008172.421:0): avc:  denied  { name_bind } for  pid=4302
exe=/usr/sbin/dhcpd src=67 scontext=user_u:system_r:dhcpd_t
tcontext=system_u:object_r:reserved_port_t tclass=udp_socket

Comment 2 Nerijus Baliūnas 2005-06-17 15:06:25 UTC
The fix is probably in bug 160430.

Comment 3 Nerijus Baliūnas 2005-06-27 18:05:37 UTC
selinux-policy-targeted 1.17.30-3.13 fixed above error, but dhcpd still cannot
start:
/usr/sbin/dhcpd: error while loading shared libraries: libc.so.6: failed to map
segment from shared object: Permission denied

I ran fixfiles restore, didn't help. selinux message is:

audit(1119895248.069:0): avc:  denied  { execute } for  pid=19031 comm=dhcpd
path=/lib/tls/libc-2.3.5.so dev=md0 ino=999670 scontext=root:system_r:dhcpd_t
tcontext=system_u:object_r:lib_t tclass=file


Comment 4 Stephen Sentoff 2005-06-30 15:01:48 UTC
This problem appears to be fixed in selinux-policy-targeted.noarch 1.17.30-3.15

Comment 5 Daniel Hammer 2005-06-30 15:35:34 UTC
Yep, everything works fine now - excellent work!


Note You need to log in before you can comment on or make changes to this bug.